// Project: Rocket Commander, File: Help.cs
// Namespace: RocketCommander.GameScreens, Class: Help
// Path: C:\code\Rocket Commander\GameScreens, Author: Administrator
// Code lines: 142, Size of file: 4,02 KB
// Creation date: 24.12.2005 04:59
// Last modified: 24.12.2005 04:59
// Generated with Commenter by abi.exDream.com

#region Using directives
using System;
using System.Collections.Generic;
using System.Text;
using RocketCommander.Graphics;
using Font = RocketCommander.Graphics.Font;
using System.Drawing;
using RocketCommander.Game;
using RocketCommander.Properties;
#endregion

namespace RocketCommander.GameScreens
{
	/// <summary>
	/// Help
	/// </summary>
	class Help : IGameScreen
	{
		#region Variables
		/// <summary>
		/// Fonts for help
		/// </summary>
		private Font smallFont = null;
		#endregion

		#region Properties
		/// <summary>
		/// Name of this game screen
		/// </summary>
		/// <returns>String</returns>
		public string Name
		{
			get
			{
				return "Help";
			} // get
		} // Name

		private bool quit = false;
		/// <summary>
		/// Returns true if we want to quit this screen and return to the
		/// previous screen. If no more screens are left the game is exited.
		/// </summary>
		/// <returns>Bool</returns>
		public bool Quit
		{
			get
			{
				return quit;
			} // get
		} // Quit
		#endregion

		#region Constructor
		/// <summary>
		/// Create help
		/// </summary>
		public Help()
		{
			smallFont = new Font("Arial", 12);
		} // Help()
		#endregion

		#region Run
		/// <summary>
		/// Run game screen. Called each frame.
		/// </summary>
		/// <param name="form">Form for access to asteroid manager and co.</param>
		public void Run(RocketCommanderForm form)
		{
			// Render background
			form.RenderMenuBackground();

			// Show in game controls and keys help
			smallFont.WriteText(
				540 * GraphicForm.Resolution.Width / 1024,
				34 * GraphicForm.Resolution.Height / 768,
				Texts.HelpControls, Color.Gray);

			// Show helper screen texture
			form.helpScreenTexture.RenderOnScreen(
				new Rectangle(0,
				174 * GraphicForm.Resolution.Height / 768,
				GraphicForm.Resolution.Width,
				510 * GraphicForm.Resolution.Height / 768),
				new Rectangle(0, 0, 1024, 510));

			if (form.RenderMenuButton(MenuButton.Back,
				new Point(1024 - 210, 768 - 140)) ||
				GameForm.Keyboard.EscapeJustPressed)
			{
				quit = true;
			} // if
		} // Run(form)
		#endregion
	} // class Help
} // namespace RocketCommander.GameScreens
