// Project: Rocket Commander, File: IGraphicObject.cs
// Namespace: RocketCommander.Graphics, Class: 
// Path: C:\code\Rocket Commander\Graphics, Author: Abi
// Code lines: 39, Size of file: 578 Bytes
// Creation date: 06.11.2005 09:51
// Last modified: 06.11.2005 09:53
// Generated with Commenter by abi.exDream.com

#region Using directives
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace RocketCommander.Graphics
{
	/// <summary>
	/// Helper interface for all graphic objects we have to dispose before the
	/// device gets disposed. Added to graphicObjectList in GraphicForm.
	/// Also adds support for handling OnResetDevice and OnLostDevice events.
	/// </summary>
	public interface IGraphicObject : IDisposable
	{
		/// <summary>
		/// Called when DirectX device OnResetDevice happens.
		/// Usually not used or only to regenerate disposed stuff from
		/// OnLostDevice().
		/// </summary>
		void OnResetDevice();

		/// <summary>
		/// Called when DirectX device OnLostDevice happens.
		/// Usually unused, will sometimes call Dispose(), recreate in
		/// OnResetDevice then.
		/// </summary>
		void OnLostDevice();
	} // interface IGraphicObject
} // namespace RocketCommander.Graphics
