// Project: Rocket Commander, File: Directories.cs
// Namespace: RocketCommander.Helpers, Class: Directories
// Path: C:\code\Rocket Commander\Helpers, Author: Abi
// Code lines: 25, Size of file: 535 Bytes
// Creation date: 01.11.2005 17:45
// Last modified: 07.11.2005 02:59
// Generated with Commenter by abi.exDream.com

#region Using directives
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace RocketCommander.Helpers
{
	/// <summary>
	/// Helper class which stores all used directories.
	/// </summary>
	class Directories
	{
		#region Game base directory
		/// <summary>
		/// We can use this to relocate the whole game directory to another
		/// location. Used for testing (everything is stored on a network drive).
		/// </summary>
		const string GameBaseDirectory = "";
		#endregion

		#region Directories
		/// <summary>
		/// Textures directory
		/// </summary>
		/// <returns>String</returns>
		public static string TexturesDirectory
		{
			get
			{
				return GameBaseDirectory + "Textures";
			} // get
		} // TexturesDirectory

		/// <summary>
		/// Effects textures directory
		/// </summary>
		/// <returns>String</returns>
		public static string TextureEffectsSubDirectory
		{
			get
			{
				return "Effects";
			} // get
		} // TextureEffectsSubDirectory

		/// <summary>
		/// Models textures directory
		/// </summary>
		/// <returns>String</returns>
		public static string TextureModelsSubDirectory
		{
			get
			{
				return "Models";
			} // get
		} // TextureModelsSubDirectory
		
		/// <summary>
		/// Models directory
		/// </summary>
		/// <returns>String</returns>
		public static string ModelsDirectory
		{
			get
			{
				return GameBaseDirectory + "Models";
			} // get
		} // ModelsDirectory

		/// <summary>
		/// Shaders directory
		/// </summary>
		/// <returns>String</returns>
		public static string ShadersDirectory
		{
			get
			{
				return GameBaseDirectory + "Shaders";
			} // get
		} // ShadersDirectory

		/// <summary>
		/// Sounds directory
		/// </summary>
		/// <returns>String</returns>
		public static string SoundsDirectory
		{
			get
			{
				return GameBaseDirectory + "Sounds";
			} // get
		} // SoundsDirectory

		/// <summary>
		/// Music directory
		/// </summary>
		/// <returns>String</returns>
		public static string MusicDirectory
		{
			get
			{
				return GameBaseDirectory + "Music";
			} // get
		} // MusicDirectory

		/// <summary>
		/// Default Screenshots directory.
		/// </summary>
		/// <returns>String</returns>
		public static string ScreenshotsDirectory
		{
			get
			{
				return GameBaseDirectory + "Screenshots";
			} // get
		} // ScreenshotsDirectory

		/// <summary>
		/// Levels directory
		/// </summary>
		/// <returns>String</returns>
		public static string LevelsDirectory
		{
			get
			{
				return GameBaseDirectory + "Levels";
			} // get
		} // LevelsDirectory
		#endregion
	} // class Directories
} // namespace RocketCommander.Helpers
